diff --git a/remoting/webapp/manifest.json b/remoting/webapp/manifest.json
index d1f8d1f..67bf660 100644
--- a/manifest.json
+++ b/manifest.json
@@ -5,30 +5,15 @@
   "manifest_version": 2,
   "default_locale": "en",
   "app": {
-    "launch": {
-      "local_path": "main.html"
-    }
-  },
+    "background": {
+      "scripts": ["background.js"]
+     }
+   },
   "icons": {
     "128": "chromoting128.webp",
     "48": "chromoting48.webp",
     "16": "chromoting16.webp"
   },
-  "content_scripts": [
-    {
-      "matches": [
-        "OAUTH2_REDIRECT_URL"
-      ],
-      "js": [ "cs_oauth2_trampoline.js" ]
-    },
-    {
-      "matches": [
-        "THIRD_PARTY_AUTH_REDIRECT_URL"
-      ],
-      "js": [ "cs_third_party_auth_trampoline.js" ]
-    }
-  ],
-  "content_security_policy": "default-src 'self'; script-src 'self' TALK_GADGET_HOST; style-src 'self' https://fonts.googleapis.com; img-src 'self' TALK_GADGET_HOST; font-src *; connect-src 'self' OAUTH2_ACCOUNTS_HOST GOOGLE_API_HOSTS TALK_GADGET_HOST https://relay.google.com",
   "optional_permissions": [
     "<all_urls>"
   ],
@@ -42,16 +28,23 @@
     "clipboardRead",
     "clipboardWrite",
-    "nativeMessaging"
+    "nativeMessaging",
+    "fullscreen",
+    "identity",
+    "contextMenus",
+    "overrideEscFullscreen"
   ],
-  "plugins": [
-    { "path": "remoting_host_plugin.dll", "public": false },
-    { "path": "libremoting_host_plugin.ia32.so", "public": false },
-    { "path": "libremoting_host_plugin.x64.so", "public": false },
-    { "path": "remoting_host_plugin.plugin", "public": false }
-  ],
+  "oauth2": {
+    "client_id": "REMOTING_IDENTITY_API_CLIENT_ID",
+    "scopes": [
+      "https://www.googleapis.com/auth/chromoting https://www.googleapis.com/auth/googletalk https://www.googleapis.com/auth/userinfo#email"
+    ]
+  },
   "requirements": {
     "plugins": {
       "npapi": false
     }
+  },
+  "sandbox": {
+    "pages": [ "wcs_sandbox.html" ]
   }
 }
